#
# spec file for package regexp
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# icecream 0


%define full_name       jakarta-%{name}
%define section         free

Name:           regexp
Version:        1.5
Release:        20.3
Summary:        Simple regular expressions API
License:        Apache-2.0
Group:          Development/Libraries/Java
Url:            http://jakarta.apache.org/%{name}/
Source0:        http://www.apache.org/dist/jakarta/regexp/jakarta-regexp-%{version}.tar.gz
Source1:        regexp-%{version}.pom
BuildRequires:  javapackages-tools
Requires(pre):     javapackages-tools
Requires(postun):  javapackages-tools
BuildRequires:  ant >= 1.6
BuildRequires:  java-1_5_0-gcj-compat-devel
BuildRequires:  xml-commons-apis-bootstrap
#!BuildIgnore:  xml-commons-apis xml-commons-resolver xml-commons xerces-j2
#!BuildIgnore:  xml-commons-jaxp-1.3-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ant
BuildRequires:  java-1_5_0-gcj-compat-devel
BuildRequires:  xml-commons-apis-bootstrap

%description
Regexp is a 100% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan Locke.
He originally wrote this software back in 1996 and it has stood up
quite well to the test of time. It includes complete Javadoc
documentation as well as a simple Applet for visual debugging and
testing suite for compatibility.

%prep
%setup -q -n %{full_name}-%{version}
# remove all binary libs
find . -type f -name "*.jar" | xargs -t rm

%build
export OPT_JAR_LIST=:
export CLASSPATH=
mkdir lib
ant -Djakarta-site2.dir=. jar

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
[ -d docs/api ] && rm -rf docs/api
# pom
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__install} -p -m 0644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%changelog
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Fri Aug 23 2013 mvyskocil@suse.com
- disable javadoc build
* Mon Nov  8 2010 mvyskocil@suse.cz
- merge with regexp-1.5-1.jpp5.src.rpm
- update to 1.5 bugfix and optimization release
  http://jakarta.apache.org/regexp/changes.html
- ignore also jaxp-1.3-apis
* Sun Jul 27 2008 coolo@suse.de
- build with gcj to avoid bootstrapping problems with openjdk
* Wed Sep 27 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 1.3 from JPackage.org
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 1.3 (JPackage 1.5)
